const { path } = require('@vuepress/shared-utils')

module.exports = (options) => ({
  name: 'vuepress-plugin-search-custom-tgit',

  enhanceAppFiles: path.resolve(__dirname, 'enhanceApp.js'),

  define: {
    SEARCH_MAX_SUGGESTIONS: options.searchMaxSuggestions || 5,
    SEARCH_PATHS: options.test || null,
    SEARCH_HOTKEYS: options.searchHotkeys || ['s', '/']
  }
})
